require_relative 'sis_representer'

module SIF
  module Representation
    module Model
      module Group
        module SIS
          class LEAInfo < SIF::Represent
            include SISRepresenter
            
            self.representation_wrap = 'LEAInfo'

            property :local_id, :as => 'LocalId'
            property :state_province_id, :as => 'StateProvinceId'
            property :nces_id, :as => 'NCESId'
            property :lea_name, :as => 'LEAName'
            property :lea_url, :as => 'LEAURL'
            property :education_agency_type, :as => 'EducationAgencyType'
            collection :lea_contacts, :as => 'LEAContact', :wrap => 'LEAContactList'
            collection :phone_numbers, :as => 'PhoneNumber', :wrap => 'PhoneNumberList',
                       :class => MODEL_COMMON::PhoneNumber,
                       :decorator => REPR_COMMON::PhoneNumber
            property :grade_levels, :as => 'GradeLevels'
            property :operational_status, :as => 'OperationalStatus'
            property :congressional_district, :as => 'CongressionalDistrict'

          end
        end
      end
    end
  end
end
